### Class

# AdwStyleManager

#### Description [src]

    final class Adw.StyleManager : GObject.Object
    {
      /* No available fields */
    }

A class for managing application-wide styling.

`AdwStyleManager` provides a way to query and influence the application styles, such as whether to use dark or high contrast appearance.

It allows to set the color scheme via the `AdwStyleManager:color-scheme` property, and to query the current appearance, as well as whether a system-wide color scheme preference exists.

#### Hierarchy

#### Ancestors

- GObject

#### Functions

###### adw_style_manager_get_default

Gets the default `AdwStyleManager` instance.

###### adw_style_manager_get_for_display

Gets the `AdwStyleManager` instance managing `display`.

#### Instance methods

###### adw_style_manager_get_color_scheme

Gets the requested application color scheme.

###### adw_style_manager_get_dark

Gets whether the application is using dark appearance.

###### adw_style_manager_get_display

Gets the display the style manager is associated with.

###### adw_style_manager_get_high_contrast

Gets whether the application is using high contrast appearance.

###### adw_style_manager_get_system_supports_color_schemes

Gets whether the system supports color schemes.

###### adw_style_manager_set_color_scheme

Sets the requested application color scheme.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Adw.StyleManager:color-scheme

The requested application color scheme.

###### Adw.StyleManager:dark

Whether the application is using dark appearance.

###### Adw.StyleManager:display

The display the style manager is associated with.

###### Adw.StyleManager:high-contrast

Whether the application is using high contrast appearance.

###### Adw.StyleManager:system-supports-color-schemes

Whether the system supports color schemes.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwStyleManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.